open-vm-tools (2:10.3.10-1~ubuntu0.18.04.2) bionic; urgency=medium

  * Fix memory leaks in vix plugin (LP: #1847157)
    - d/p/lp-1847157-End-VGAuth-impersonation-in-the-case-of-error.patch
    - d/p/lp-1847157-Fix-leaks-in-ListAliases-and-ListMappedAliases-9bc72.patch
    - d/p/lp-1847157-Fix-memory-leaks-in-vix-tools-plugin.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Oct 2019 14:06:46 +0200

open-vm-tools (2:10.3.10-1~ubuntu0.18.04.1) bionic; urgency=medium

  * Backport recent open-vm-tools (LP: #1822204)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 14 May 2019 09:07:32 +0200

open-vm-tools (2:10.3.10-1) unstable; urgency=high

  * [122e511] Update upstream source from tag 'upstream/10.3.10'
    Update to upstream version '10.3.10'
    with Debian dir fb12c7cfc99a9497795475c29306e78d08cc3712
    - Closes: #925940
    - Bugfix release for the 10.3 series.
      - Correct and/or improve handling of certain quiesced
        snapshot failures (shipped as patch in 2:10.3.5-6).
      - Fix some bad derefs in primary NIC gather code
      - Fix possible security issue with the permissions of the
        intermediate staging directory and path.
        Closes: #925959
      - CONSTANT_EXPRESSION_RESULT in TimeUtil_StringToDate()
        Found by coverity.
      - Deploypkg log files of linux should not be world readable.
        They might contain sensitive data.
      - General code clean-up:
        - Treat local variables "len" consistently as "size_t"
          type in Posix_Getmntent_r()
        - Improve readability of error handling logic in
          ShrinkDoWipeAndShrink() and remove another line of dead code.
        - Setting "errno" to ENOENT when there is no passwd entry
          for the user.
      - Fix NULL pointer dereference and remove three lines of dead code.
    - Other changes/fixes, not related to Debian:
      - Update copyright years
      - Fix CentOS 7.6 detection
      - Include vmware/tools/log.h to define g_info (fix for SLES)
      - Special-case profile loading for StartProgram
        (Win32 only)
      - Changes to common source files not applicable to
        open-vm-tools. (Code used by other vmware tools, unrelated
        to open-vm-tools).
      - Bump up the SYSIMAGE_VERSION for VMware tools 10.3.10
      
  * [18de70f] Removing backported patches, shipped in 10.3.10.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 Mar 2019 11:58:17 +0100

open-vm-tools (2:10.3.5-8) unstable; urgency=medium

  [ Jean-Baptiste Lallement ]
  * [0f35aee] Add modaliases to open-vm-tools-desktop.
    Added Modaliases to open-vm-tools-desktop to auto-discover and
    auto-install the driver on Ubuntu via ubuntu-drivers. The driver is then
    installed at installation time and available on first boot for an
    improved user experience (LP: #1819207)

  [ Bernd Zeimetz ]
  * [dc4e1ce] Load vmwgfx module before vmtoolsd starts.
    As discussed on github in vmware/open-vm-tools#214
    we need to load the vmwgfx module before starting vmtoolsd
    for desktop users. Otherwise it is not able to retrieve the KMS
    resolutions and resizing the VM desktop fails.
    Thanks to @thomashvmw @rhertzog (Closes: #924518)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 Mar 2019 22:15:22 +0100

open-vm-tools (2:10.3.5-7) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [71b468f] make vgauth service execution more reliable.
    Since d3d47039 "Start vgauth before vmtoolsd" there is a potential race
    of starting vgauth so early that it might have issues. This was
    discussed back in the day in [1] to [2], but confirmed to be ok by
    VMWare.
    We were all somewhat convinced by this, but a bad feeling remained not
    only with me but also with Bernd [4].
    A recent SRU review denial made me rethink all of it and I think we can
    make it safer without thwarting the purpose of the original change.
    Note: Disambiguation of service names used below:
    vgauth     - open-vm-tools.vgauth.service
    vmtoolsd   - open-vm-tools.service
    fs         - systemd-remount-fs.service
    tmp        - systemd-tmpfiles-setup.service
    cloud-init - cloud-init-local.service
    Currently we have these dependency requirements:
    - vgauth should be before vmtoolsd
    - cloud init should be before vmtoolsd
    - cloud init has to be really early in general
      - therefore this is using DefaultDependencies=No
    That lead to this graph:
     fs / tmp -> vmtoolsd -> cloud-init
    And d3d47039 added it to be like:
     fs / tmp -> vmtoolsd -> cloud-init
                   ^
     vgauth      --|
    But there is no need to have vgauth without any pre-dependencies at all.
    It is only needed to be "before" vmtoolsd, therefore we can make it:
     fs / tmp -> vgauth -> vmtoolsd -> cloud-init
    That will make execution of vgauth much less error-prone (even though I
    have no hard issue to report) while at the same time holding up all
    known required ordering constraints.
    [1]: https://bugs.launchpad.net/ubuntu/+source/open-vm-tools/+bug/1804287/comments/3
    [2]: https://bugs.launchpad.net/ubuntu/+source/open-vm-tools/+bug/1804287/comments/12
    [3]: https://bugs.launchpad.net/ubuntu/+source/open-vm-tools/+bug/1804287/comments/25
    [4]: https://github.com/bzed/pkg-open-vm-tools/pull/15#issuecomment-447237910
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Mar 2019 20:02:52 +0100

open-vm-tools (2:10.3.5-6) unstable; urgency=medium

  * [43ec618] Correct and/or improve handling of certain quiesced
    snapshot failures.
    Thanks to Oliver Kurth (Closes: #921470)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Feb 2019 14:58:28 +0100

open-vm-tools (2:10.3.5-5) unstable; urgency=medium

  * [54cce3e] Start vmtoolsd after apparmor.service.
    Github issue #17

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 31 Jan 2019 13:13:06 +0100

open-vm-tools (2:10.3.5-4) unstable; urgency=medium

  [ Alf Gaida ]
  * [e13792d] udevadm trigger should not fail (Closes: #917642)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 29 Dec 2018 23:00:37 +0100

open-vm-tools (2:10.3.5-3) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [d3d4703] Start vgauth before vmtoolsd.
    VGAuthService needs to be ready when vmtoolsd runs. Certain cases - e.g.
    Site Recovery Manager failover - will need vgauth to be up.
    Therefore add an After=vgauth.service dependency to open-vm-tools.service
    To have vgauth be able start early - and not pull cloud-init back late - it
    is also required to drop default dependencies which according to VMware is
    fine to do so.
    (LP: #1804287)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 14 Dec 2018 09:55:04 +0100

open-vm-tools (2:10.3.5-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * [db2a364] Ensure vmwgfx module is loaded before start of vmtoolsd.
    This avoids a failure to start the resolutionKMS plugin and it's
    achieved through a drop-in snippet extending open-vm-tools.service
    adding an ExecStartPre directive loading the module prior to
    the start of the service. (Closes: #915031)

  [ Christian Ehrhardt ]
  * [e6e0ab8] d/rules: fix dangling symlink of vmware-user.
    Back in 2:9.4.0-1280544-6 vmware-user* was moved to the
    open-vm-tools-desktop package and some follow on fixes moved bits that
    were forgotten like the man page.
    (LP: #1807441)
    There still is a symlink in /usr/bin/vmware-user that is forgotten in
    the base package and broken unless open-vm-tools-desktop is installed.
    Change d/rules to move the symlink as well.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [13d22e5] Breaks and Replaces for moving vmware-user.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [d56826a] Bump breaks and replaces to next version to be released.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [e4697c7] Fix race condition between open-vm-tools and systemd-tmpfiles-setup.
    Thanks to Jean-Louis Dupond (Closes: #914910)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 11 Dec 2018 20:40:48 +0100

open-vm-tools (2:10.3.5-1) unstable; urgency=medium

  * [7061cb7] Update upstream source from tag 'upstream/10.3.5'
    Update to upstream version '10.3.5'
    with Debian dir 9315f58cab8ba1356c1e4aa77d714257dc0651f2

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 09 Nov 2018 11:32:15 +0100

open-vm-tools (2:10.3.0-1) unstable; urgency=medium

  * [16acbc3] Remove PrivateTmp=yes.
    Thanks to Christian Ehrhardt (Closes: #905170)
  * [72aabb2] Add RequiresMountsFor=/tmp.
    Thanks to Christopher Odenbach (Closes: #900566)
  * [96bf0c5] Update upstream source from tag 'upstream/10.3.0'
    Update to upstream version '10.3.0'
    with Debian dir ace0137b2d17e039ddac188fdcd15f882119925a
  * [e5a9b82] Re-add .travis.yml
  * [83e043f] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Aug 2018 23:41:00 +0200

open-vm-tools (2:10.2.5-1) unstable; urgency=medium

  * [ea03a58] Update upstream source from tag 'upstream/10.2.5'
    Update to upstream version '10.2.5'
    with Debian dir 74e96286320224bb6d5b717034930169514dbd51
  * [c1c18d3] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 06 Apr 2018 11:18:50 +0200

open-vm-tools (2:10.2.0-3) unstable; urgency=medium

  * [47e50a1] Fix debhelper dep for backports
  * [34538a5] Make tools.conf useful.
    Thanks to Dariusz Gadomski (Closes: #889884)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 14 Feb 2018 17:22:52 +0100

open-vm-tools (2:10.2.0-2) unstable; urgency=medium

  * [249d54c] Fix wayland segfault.
    Adding a patch from Fedora to fix a wayland/gnome related segfault.
    Thanks to Oliver Kurth (Closes: #887755)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 23 Jan 2018 23:50:17 +0100

open-vm-tools (2:10.2.0-1) unstable; urgency=medium

  * [f0bf956] Add .travis.yml which was removed by gbp.
  * [892e2f6] Build with gtk3.
  * [03a655b] Check if debhelper handles \ in systemd units.
    Thanks to Oliver Kurth (Closes: #886191)
  * [5bf9301] Drop -dkms package.
    Thanks to Christian Ehrhardt (Closes: #884656)
  * [236cdba] Update upstream source from tag 'upstream/10.2.0'
    Update to upstream version '10.2.0'
    with Debian dir d5190e486b6beb65ee7ed31c0c23a789b8f60cab
    (Closes: #884496)
  * [692beff] snapshot changelog.
  * [45aa743] Add .travis.yml which was removed by gbp.
  * [aabeded] Fix dpkg --compare-versions call
  * [0697425] Better debhelper version parsing.
  * [390ec09] fix even more makefile bugs.
  * [6e5fa38] Refreshing patches.
    Dropping kernel-module related patches.
  * [cbfec05] Drop dh_autoreconf, not needed anymore.
  * [d5fef50] autotools-dev is done by dh now.
  * [b66ab14] use dh_installsystemd

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 19 Jan 2018 12:52:49 +0100

open-vm-tools (2:10.1.15-1) unstable; urgency=medium

  * [78a17f1] Remove fixed CXX std setting.
  * [f96f479] Updated version 10.1.15 from 'upstream/10.1.15'
    with Debian dir c44394c71e055f4cfd3a15ee578fc9895d64ebb1
  * [682790b] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 15:02:46 +0200

open-vm-tools (2:10.1.10-3) unstable; urgency=medium

  * [00bc9bb] Build with CXXFLAGS=-std=c++14.
    Thanks to Rene Engelhard and Oliver Kurth (Closes: #876121)
  * [6b61376] Re-add .travis.yml.
    Seems it went missing with the last merge.
  * [bf07ae8] Work around dh_systemd escaping bugs again.
    Seems the unit escaping changed with a new dh version.
    Work around the known and reported fails again.
    Thanks to Christian Ehrhardt (Closes: #875657)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Sep 2017 13:24:08 +0200

open-vm-tools (2:10.1.10-2) unstable; urgency=medium

  [ Shota Aratono ]
  * [5ab87bd] Fix scsi timeout setting error on debian stretch
  * [c0847eb] Fix attempting change setting to unintentional target

  [ Raphaël Hertzog ]
  * [dc2e27f] Add patch to support resolution switching with KMS.
    This is needed for proper support of Wayland sessions. (Closes: #872779)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Aug 2017 23:32:32 +0200

open-vm-tools (2:10.1.10-1) unstable; urgency=medium

  * Drop the extra part of the version string.
    Easier to handle in the short variant.
  * [6be6a49] Updating watch file.
    Use tags from github.
  * [8c25235] Updated version 10.1.10 from 'upstream/10.1.10'
    with Debian dir 3dddea7985f21457b294b5f554d5ecdf32aabfff
  * [195cead] Refreshing patches.
    Removing cve-2015-5191.patch as it is part of the upstream release.
  * [e6b3fd5] Build using libssl-dev and libxmlsec1-dev. (Closes: #859416)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 Aug 2017 23:57:40 +0200

open-vm-tools (2:10.1.5-5055683-5) unstable; urgency=high

  * [dec8df6] Upstream fix for CVE-2015-5191 (Closes: #869633)
  * [718133e] Enable PrivateTmp for the open-vm-tools.service.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 Jul 2017 10:46:40 +0200

open-vm-tools (2:10.1.5-5055683-4) unstable; urgency=medium

  * [27689b3] Load the fuse module before mounting /run/vmblock-fuse.
    Thanks to Norbert Lange (Closes: #860875, #860861)
  * [008bdde] Don't recommend -dkms for -desktop.
    The dkms package is clearly not necessary anymore here.
    Thanks to Oliver Kurth (Closes: #860857)
  * [ffc37f2] Let -desktop depend on fuse.
    Mounting fuse filesystems requires mount.fuse - and doing so
    is required for a working desktop running under VMware.
  * [cf1f9b3] Ensure /run/vmblock-fuse is mounted properly.
    - open-vm-tools-desktop.postinst: Add the fuse module if it was
      not loaded into the kernel before
    - Handle the mount unit with dh_systemd_*
    - Ensure /run/vmblock-fuse is mounted before open-vm-tools.service
      is started.
  * [1f479db] Do not restart run-vmblock\x2dfuse.mount on upgrades.
    Restarting won't work if people are using the mountpoint,
    also it would require to restart vmtoolsd.
  * Unfortunately mounting the fuse filesystem properly depends
    on a fix in deb-systemd-invoke, see #861204.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 30 Apr 2017 06:21:41 +0200

open-vm-tools (2:10.1.5-5055683-3) unstable; urgency=medium

  * [0aa95b6] Start open-vm-tools before cloud-init-local.service.
    Required for a working guest customization as reported by VMware.
    Also add cloud-init to 'Suggests'.
    Thanks to Sankar Tanguturi (Closes: #859677)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 09 Apr 2017 21:54:21 +0200

open-vm-tools (2:10.1.5-5055683-2) unstable; urgency=medium

  * [651cdfe] Depend on iproute2.
    Necessary for /etc/vmware-tools/scripts/vmware/network.
  * [ed95c1d] Depend on libssl1.0-dev | libssl-dev.
    Thanks to Tiago Daitx (Closes: #856569)
    Makes building the package in Ubuntu easier.
  * [2750700] Add o-v-t as dependency of o-v-t-dev.
    Thanks to Andreas Beckmann (Closes: #858494)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 23 Mar 2017 09:35:16 +0100

open-vm-tools (2:10.1.5-5055683-1) unstable; urgency=medium

  * [60d1417] Merge tag 'upstream/10.1.5-5055683'
    Upstream version 10.1.5-5055683
    Closes: #856330

    10.1.5 is a point release fixing the following issues:
    - Authentication failure is reported as unknown general system error.
      Attempts to authenticate through VGAuth service might result
      in an authentication-specific error such as an expired account or
      password. The authentication-specific error might then be incorrectly
      reported as an unknown general system error, similar to the following:
      CommunicationException: Failed to create temp file on target
      <IP_ADDRESS>: A general system error occurred: Unknown error

    - Unable to backup virtual machines with active Docker containers.
      This bug should not happen in Debian stretch at all, but might
      be relevant for backports.

    - Fix ISO mappings for CentOS/OracleLinux. Not relevant for Debian

    - Thaw Filesystems if snapshot commit message to VMX fails.

    - Add missing agent configuration files that were accidentally
      ignored by .gitignore

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Feb 2017 15:54:58 +0100

open-vm-tools (2:10.1.0-4449150-4) unstable; urgency=medium

  [ Chris Glass ]
  * [d55b33f] Point the control file's homepage to the new one.
    The upstream open-vm-tools switched from sourceforge to github. This
    simply updates the link to reflect that.
    Signed-off-by: Chris Glass <chris.glass@canonical.com>

  [ Bernd Zeimetz ]
  * [f44a9a8] Drop duplicate udev rules.
    Timeouts are set in 99-vmware-scsi-udev.rules now,
    shipped by upstream.
    Thanks to Bernhard Schmidt (Closes: #851240)
  * [21df3fa] Install vgauth.service.
    vgauth is a service that allows authentication in the guest using SAML
    tokens. Necessary for guest operations initiated from the vSphere
    datacenter. (Closes: #855337)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 21 Feb 2017 22:45:06 +0100

open-vm-tools (2:10.1.0-4449150-3) unstable; urgency=medium

  * [17b04da] Override dh_md5sums for arch-dependent packages only.
    Thanks to Santiago Vila (Closes: #849876)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Jan 2017 22:11:18 +0100

open-vm-tools (2:10.1.0-4449150-2) unstable; urgency=medium

  * [fe8ae94] Stay with .gz as compression.
  * [afb2f52] Use systemd-detect-virt if available.
    Use systemd-detect-virt to detect VMware platform because
    vmware-checkvm might misbehave on non-VMware platforms.
    (RHBZ#1251656)
  * [1505d5f] Re-indent files properly.
  * [1b0b7eb] vm-support script needs lspci from pciutils.
    (RHBZ#1388766)
  * [1e2eb34] Make dpkg --verify happy now. (Closes: #847221)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 06 Dec 2016 22:58:30 +0100

open-vm-tools (2:10.1.0-4449150-1) unstable; urgency=medium

  * [72150f0] Merge tag 'upstream/10.1.0-4449150'
    Upstream version 10.1.0-4449150
  * [d4743dd] Bump dh compat level to 10.
  * [acce982] Handle open-vm-tools subdirectory as shipped by upstream.
  * [9047555] Install upstream changelog.
  * [fafb845] Remove extra \ from md5sums file.
    See #843163
    dpkg: -V fails on files with \ in the name
    for details.
  * [1455af1] Refreshing patches.
  * [776971c] dh_autoreconf_clean doesn't need --sourcedirectory.
  * [d50714b] Stay with libssl1.0 for now. (Closes: #828476)
  * [a0c6696] Fix dkms.sh call for new directory structure.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 16 Nov 2016 03:35:44 +0100

open-vm-tools (2:10.0.7-3227872-5) unstable; urgency=medium

  * [9295c22] Add .travis.yml from http://travis.debian.net.
  * [af7da59] Fix building the vmxnet module for kernel 4.7.
    Thanks to Hilmar Preuße (Closes: #836915)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 17 Sep 2016 23:26:58 +0200

open-vm-tools (2:10.0.7-3227872-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernd Zeimetz ]
  * [0176637] Recommend lsb_release for consistent hostinfo.

  [ Raphaël Hertzog ]
  * [257c90b] Fix build failure with GCC 6.
    Thanks to Paul Wise for the patch. (Closes: #812046)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 21 Jul 2016 17:24:34 +0200

open-vm-tools (2:10.0.7-3227872-4) unstable; urgency=medium

  * [007eacb] Better check for availability of vmware-checkvm and -rpctool.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 04 Jun 2016 07:31:17 +0200

open-vm-tools (2:10.0.7-3227872-3) unstable; urgency=medium

  * [5060f42] Notify vmware when removing open-vm-tools.
    Thanks to Yanhui He (Closes: #825810)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 31 May 2016 11:15:30 +0200

open-vm-tools (2:10.0.7-3227872-2) unstable; urgency=medium

  * [f2f4971] Work around wrong dkms versions.
  * [1be403b] Move vmhgfs-fuse to open-vm-tools.
    As suggested by various people: vmhgfs-fuse is useful on server
    installations by mounting it from fstab, without having GTK installed.
    This closes bzed/pkg-open-vm-tools#4

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 24 Mar 2016 07:13:23 +0100

open-vm-tools (2:10.0.7-3227872-1) unstable; urgency=medium

  * [537ed0a] Drop -dbg package.
    Creating debug packages is handled by dh_strip automatically.
  * [3bef19a] Updating debian/watch to use github.
  * [806e1e9] Merge tag 'upstream/10.0.7-3227872'
    Upstream version 10.0.7-3227872

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Mar 2016 14:30:13 +0100

open-vm-tools (2:10.0.5-3227872-2) unstable; urgency=medium

  * [da26597] Merge pull request #3 from rfc1036/usrmerge.
    Move mount.vmhgfs to /sbin/
    Closes: #810274

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Jan 2016 15:27:14 +0100

open-vm-tools (2:10.0.5-3227872-1) unstable; urgency=medium

  * [c973a13] Merge tag 'upstream/10.0.5-3227872'
    Upstream version 10.0.5-3227872
  * [d10e230] Auto-update version in open-vm-tools-dkms.dkms

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Dec 2015 17:26:52 +0100

open-vm-tools (2:10.0.0-3000743-3) unstable; urgency=medium

  * [8b49d5b] fix open-vm-tools-dkms description

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 23:28:22 +0100

open-vm-tools (2:10.0.0-3000743-2) unstable; urgency=medium

  * [e42d6de] Fix dkms config file.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 09:31:05 +0100

open-vm-tools (2:10.0.0-3000743-1) unstable; urgency=medium

  * [b0ae431] Merge tag 'upstream/10.0.0-3000743'
    Upstream version 10.0.0-3000743
    Closes: #797725
  * [27f0147] Snapshot changelog
  * [236554b] Refreshing patches.
  * [711f1e2] Merge remote-tracking branch 'origin/master'
  * [bfc0ed3] Remove the vmhgfs module and tools.
  * [6ab9fc7] Move fuse binaries into open-vm-tools-desktop package.
  * [2617cef] Use -std=gnu++11
  * [e5e0c1f] ensure dh_fixperms runs as root
  * [4c57986] Remove paths from maintainer scripts.
  * [03db1df] Fix dkms destination folder.
  * [fb5a5a1] Merge branch 'master' of github.com:bzed/pkg-open-vm-tools
  * [ba55c8a] Work around broken cflags from libsigc++.
  * [c78bd75] Always use vmhgfs-fuse.
    We want to avoid the need to patch the module for every new kernel.
    VMware officially supports vmhgfs-fuse for kernels >= 4.0, but
    it should just work fine for older kernels. (Closes: #800322)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 08:52:49 +0100

open-vm-tools (2:9.10.2-2822639-3) unstable; urgency=medium

  * [41f90f1] Make open-vm-tools-dev amd64/i386 instead of all.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 17:51:24 +0200

open-vm-tools (2:9.10.2-2822639-2) unstable; urgency=medium

  * [6537e76] Update package version in dkms file.
  * [c3a1d4a] Add patch to support backing dev info.
    Thanks to Peter Vrabel (Closes: #794843)
  * [be97f01] Add missing #DEBHELPER# statement.
  * [eac5b6a] Updating Standards Version
  * [a508cfe] Remove path from command in maintainer script.
  * [085d637] Remove executable bit from config files.
  * [b084140] Move all dev files into the -dev package.
  * [ac965de] Fix building vmghfs for kernel >= 4.1.
    Thanks to Achim Schaefer (Closes: #794707)
  * [16ca60a] Update gbp config header in debian/gbp.conf.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 16:27:27 +0200

open-vm-tools (2:9.10.2-2822639-1) unstable; urgency=medium

  * [a4125bd1] Merge tag 'upstream/9.10.2-2822639'
    Upstream version 9.10.2-2822639
    (Closes: #789722)
  * Quiescing Filesystems should work as expected.  (Closes: #784398)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Jun 2015 09:20:25 +0200

open-vm-tools (2:9.10.0-2476743-4) unstable; urgency=medium

  * [d7d898c4] Update package version in dkms file.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 May 2015 17:14:31 +0200

open-vm-tools (2:9.10.0-2476743-3) unstable; urgency=medium

  * [4148c544] Also fix version number in modules/linux/dkms.sh.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Apr 2015 12:34:38 +0200

open-vm-tools (2:9.10.0-2476743-2) unstable; urgency=medium

  * [7967f7c1] Fix version number in configure.ac.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 18 Apr 2015 16:37:13 +0200

open-vm-tools (2:9.10.0-2476743-1) unstable; urgency=medium

  * [4de8ff44] Add script to update patches.
  * [52b74910] Merge tag 'upstream/9.10.0-2476743'
    Upstream version 9.10.0-2476743
    (Closes: #781784)
  * [fddc317d] Refreshing patches for new upstream version.
  * [7b53f258] Add libmspack-dev as build-dependency.
  * [6b5841da] Add libssl-dev as build-dependency.
  * [de52be8e] Add libxerces-c-dev as build-dependency.
  * [17b2788a] Add libxml-security-c-dev as build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 18 Apr 2015 15:41:58 +0200

open-vm-tools (2:9.4.6-1770165-8) unstable; urgency=medium

  * [406817b6] Add patch to move from d_alias to d_u.d_alias.
    Make open-vm-tools build with the recent jessie kernel again.
    Thanks to Timo Metsala (Closes: #778293)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 13 Feb 2015 11:26:59 +0100

open-vm-tools (2:9.4.6-1770165-7) unstable; urgency=medium

  * [8df5b4ac] Adding patch to fix CVE-2014-4199.
    Thanks to Moritz Muehlenhoff (Closes: #770809)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 29 Nov 2014 15:57:20 +0100

open-vm-tools (2:9.4.6-1770165-6) unstable; urgency=medium

  * [6b514014] Fix installation of systemd services.
    Thanks to Norbert Lange (Closes: #764295)
  * [1130d9e9] Workaround for buggy dh_systemd_start.
  * [1d43a9e7] Remove the automount feature for vmblock-fuse.
    vmtools* checks /etc/mtab and friends for mounted filesystems
    instead of using stat or something similar.
  * [b06f93e5] Add mate-panel to xautostart.conf
  * [26a5da76] Workaround open-vm-tools-desktop upgrade failures.
    For now just ignore errors while unmounting the fuse-vmblock
    file system.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 16 Oct 2014 09:49:17 +0200

open-vm-tools (2:9.4.6-1770165-5) unstable; urgency=medium

  * [7f362040] Create /tmp/VMwareDnD for vmblock-fuse.
  * [c5f35c1b] Revert "Fix Breaks and Replaces Fields in debian/control"
    This reverts commit 34797213251956fbc1451ab1affc7b6c413b7072.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 23:36:27 +0200

open-vm-tools (2:9.4.6-1770165-4) unstable; urgency=medium

  [ Norbert Lange ]
  * [34797213] Fix Breaks and Replaces Fields in debian/control
  * [aff1eb77] Add udev rule for vsock.
    The blockdevice is created at /dev/vsock after loading the module,
    but with 0600 permissions which dont allow access for regular users.
    This rule fixes the issue by changing perms to 0666

  [ Bernd Zeimetz ]
  * [371e5d30] Move vsock udev rules into open-vm-tools.udev.
    The vsock module is shipped in the vanilla kernel these days.
  * [edaeb2fd] Add systemd (auto)mount units for vmblock-fuse.
    This will hopefully make drag & drop operations work properly.
    Also add fuse to Recommends of the -desktop package as it is
    needed to mount fuse filesystems.
    Thanks to Norbert Lange (Closes: #736812)
  * [171276e3] Remove update-rcd-params from dh_installinit.
    Thanks to Remi (Closes: #762695)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 12:21:47 +0200

open-vm-tools (2:9.4.6-1770165-3) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b04735fa] Ensure LINUX_BACKPORT is defined in patches/kuid_t-kgid_t-fix-for-3.12.

  [ Norbert Lange ]
  * [01aaa407] Fix initramfs hook for the vmxnet module
  * [5279fa17] Move the dkms module location patch before otehr patches
     changing the dkms.conf file. this eases adding or removing those patches
  * [b1db2b5c] Move files belonging to modules in dkms package.
    Call update-initramfs for the dkms package. Otherwise the initrd wont
    contain the vmxnet module if you installed the dkms package after the
    tools package. Move the module scripts to the dmks package.
    The modules in the dkms package should work without the tools now.

  [ Bernd Zeimetz ]
  * [d0ccee4f] Run #DEBHELPER# first in open-vm-tools-dkms.postinst.
    Otherwise dkms was not called and the module is not built yet.
  * [f680b4fa] Run update-initramfs in open-vm-tools-dkms.postrm.
    Otherwise a removed module stays in the initrd.
  * [ef4bd019] Remove unused DEPRECATED define.
    The dkms module ftbfs with 3.16 as DEPRECATED is define in the kernel
    source already.
    Thanks to Benjamin Kaduk (Closes: #761924)
  * [5389dd1f] Some more fixes to make dkms build on 3.16
  * [4c1f5fa7] Drop dkms.conf patches.
    Ship the dkms.conf file in debian/local instead.
  * [805ccb06] Tidying patches.
    - Removing those for kernel modules we don't build anymore
    - Taking fixes for current issues from Arch
    - Sorting patches into from_fedora / from_arch / debian directories.
    This will break backports to wheezy.
  * [519191ff] Fix dh_dkms call for new dkms.conf

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 20 Sep 2014 17:21:27 +0200

open-vm-tools (2:9.4.6-1770165-2) unstable; urgency=medium

  * [d493d4ce] Remove vmware-user-suid-wrapper.1 from open-vm-tools.
    The manpage belongs to the -desktop package and was accidentally
    synced from Ubuntu.
    Thanks to Ralf Treinen (Closes: #757739)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Aug 2014 07:52:27 +0200

open-vm-tools (2:9.4.6-1770165-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [d448e841] Merge tag 'upstream/9.4.6-1770165'
    Upstream version 9.4.6-1770165
    Closes: #756620
  * [969fc903] Ensure that vmware-user-suid-wrapper ships a suid bit.
  * [8067da08] Add -Wno-sizeof-pointer-memaccess gcc option.
    See http://sourceforge.net/p/open-vm-tools/mailman/message/32550433/
    for details. Code quality doesn't seem to be the best :(
  * [b5ba8c3b] refreshing patches.
  * [36cd39c6] Updating changelog.
  * [99f43e95] Revert "Add -Wno-sizeof-pointer-memaccess gcc option."
    This reverts commit 8067da0891e0fc6a2e55853a103ff2c95fa1f59b.
  * [bb95d814] Adding a patch from fedora instead of
    -Wno-sizeof-pointer-memaccess.
  * [d6b2ad4a] Update manpages.
    Changes taken from Ubuntu, thanks!
  * [3768ff7f] Better startup message if not in a vm.
    Patch taken from Ubuntu (LP: #1289564).
  * [4d5dec19] Add patch for Debian 7.X os recognition.
    Official code only handles 7.0 and 7.1.
    Also maybe 8.x, needs to be tested if it breaks stuff in vmware.
  * [7b3d23c9] Refreshing patches.
  * [af20a700] Make patches/kuid_t-kgid_t-fix-for-3.12 compatible with
    older kernels. Thanks to Norbert Lange for the idea.
  * [c4df056b] PIC handling in configure is broken.
    Add --with-pic as configure option and -fPIC to CFLAGS.

  [ Nicholas Levi Sielicki ]
  * [eafd8723] Rise the number of supported NICs.
    There is an arbitrary constant declared limiting the amount of NICs that
    it supports. I have bumped the limit from 16 to 64 to make this
    toolset functional for larger setups. (Closes: #756808)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Aug 2014 01:40:56 +0200

open-vm-tools (2:9.4.0-1280544-8) unstable; urgency=medium

  * [0ecb889e] Removing old transitional packages.
  * [5e039b52] Add missing Breaks/Replaces for file moves.
  * [9d01b21d] Fix vsock removal patch, add some missing ""
  * [2ae80665] Add e55039c_HGFS-Fix-Linux-client-symlinks patch again.
    Went missing during a merge conflict. Ouch.
  * [d7f7e40e] Fix vsock removal patch (avoid { foo;; })

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 16 May 2014 00:33:35 +0200

open-vm-tools (2:9.4.0-1280544-7) unstable; urgency=medium

  * [9960cb11] Add gbp setting for merge info in changelog.
  * [645a5350] Remove old patch for the vsock module.
    Not necessary in the current version anymore.
    Thanks to Hilmar Preuße (Closes: #748202)
  * [4c8effb7] Fix patch to avoid building vmblock on kernel >= 3.0.
    No real difference, though, as we don't build kernel modules with
    configure.
  * [2cbfa96d] Refreshing patches.
  * [be59923b] Do not build vsock on kernels >= 3.9
    the vsock module was included in the upstream kernel.
  * [6d36f49e] Move .desktop file into the -desktop package.
  * [ef406f81] Move /lib/modules-load.d/open-vm-tools.conf to open-vm-tools-dkms.
    Thanks to Jim Barber (Closes: #748187)
  * [56742c8c] Revert "Use /run/VMwareDnD instead of /tmp/VMwareDnD."
    This reverts commit 49dc599d453ed40a1299b9a376755cdbb43e0da2.
  * [c6df2503] Patch pam.d/vmtoolsd to use common-auth/account.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 15 May 2014 20:02:26 +0200

open-vm-tools (2:9.4.0-1280544-6) unstable; urgency=medium

  [ Cédric Barboiron ]
  * [4e45e2e8] Hot apply udev rule for disk timeout
  * [527525fc] fix syntax-error-in-dep5-copyright
  * [5f6b2a47] fix malformed-override open-vm-toolbox
  * [5aabaf79] fix manpage-has-errors-from-man
  * [f867443c] fix executable-not-elf-or-script
    match unit file rights in systemd package
  * [f89024a1] fix file locations in copyright

  [ Bernd Zeimetz ]
  * [76dadf83] Add patch for CVE-2013-3237.
  * [fa7d4a63] Merge pull request #1 from yastupin/master
    procps, init script and doc
  * [115b8c49] Better permission handling.
    Especially for pam.d files and vmware-user-suid-wrapper.
  * [70fa10d1] Fix vmxnet initramfs-tools hook.
    Thanks to Norbert Lange
  * [9d3f3c9b] Move vmware-user-suid-wrapper into desktop package.
  * [49dc599d] Use /run/VMwareDnD instead of /tmp/VMwareDnD.
    /tmp/VMwareDnD might be existing already or evil users might try to
    trick us into doing bad things. Using known directories in /tmp is bad
    enough not to spend time to try to figure out if the code tries to work
    around possible attacks. Using a directory in /run is a much safer
    approach. Proper init scripts will be added at a later point.
  * [d9467cd9] Dropping lintian override files.
    Also fixing some lintian warnings.
  * [a7f7e5bd] Use libprocps-dev instead of libprocps0-dev.
  * [21214012] Use manpages-desktop as source folder for -desktop.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 13 May 2014 00:08:03 +0200

open-vm-tools (2:9.4.0-1280544-5) unstable; urgency=low

  * [31c30832] Revert "Enable building of vmci again."
    This reverts commit 0d55577cd3c262dbbc2bf79593d6f500f84c4170.
    Too fast upload, sorry. vmhgfs is indeed (still) broken with
    vmci.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 20:28:33 +0100

open-vm-tools (2:9.4.0-1280544-4) unstable; urgency=low

  * [0d55577c] Enable building of vmci again.
    Also patch it to build with 3.12

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 19:41:01 +0100

open-vm-tools (2:9.4.0-1280544-3) unstable; urgency=low

  * [8b23a27d] Revert "Add /mnt/hgfs as hgfs mountpoint."
    Although the idea from the Ubuntu people to ship the mountpoint
    in the package is nice, lintian is rather unhappy about it.
    This reverts commit 1e7d8645e48f601e79eb5771e05272b367fa4eb1.
  * [46f99c30] Remove procps support for now.
    Unfortunately the procps package in unstable is rather broken, procps
    support will be enabled again when the new procps version managed to
    migrate to testing.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 18:17:28 +0100

open-vm-tools (2:9.4.0-1280544-2) unstable; urgency=low

  * [242d45e4] Pick patch from upstream to build with gcc 4.8
  * [ed8f797f] Add script to pick patches from upstream.
  * [312be5d5] Snapshot changelog.
  * [c125af80] Use /updates/dkms/ as location for kernel modules.
    We don't want to mess with files shipped in kernel module packages.
  * [f63a890c] Bumping Standards-Version, no changes needed.
  * [1e7d8645] Add /mnt/hgfs as hgfs mountpoint.
  * [0bcabab3] Fix add_patch script.
  * [1d436969] Add some more patches to make dkms succeed on recent kernels.
    Also add dh_autoreconf as we modify configure.ac
  * [088450dd] Also apply the changs from upstream's 530ef7f for dkms.
    vmblock should be used via fuse now, vmsync is not needed anymore.
  * [cf44ff2f] Pick patch from upstream: Harden HostinfoOSData
  * [21ca2b74] Pick patch from upstream: building on kfreebsd.
  * [82123155] Use libprocps3-dev instead of libprocps0-dev.
  * [da76a5e9] Add patch to convert kuid_t/kgid_t to uid_t/gid_t.
    Building against kernel 3.12 should succeed now.
  * [91e91538] Pick another fix from upstream to make vmhgfs build on 3.12
  * [53ea11a4] Add Vcs Headers to debian/control.
  * [d19592cc] Revert "Use libprocps3-dev instead of libprocps0-dev."
    This reverts commit 821231554486ec7ff36cd36e89a6b0ef7c7a5552.
    Due to procps being completely broken in unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2014 16:00:44 +0100

open-vm-tools (2:9.4.0-1280544-1) unstable; urgency=low

  * [b85cd491] Taking over the maintenance of open-vm-tools. (Closes: #717381)
  * [ecccbddd] Adding watch file.
  * [12cfd169] Merge tag 'upstream/9.4.0-1280544'
    Upstream version 9.4.0-1280544
  * [7e93ef77] Refreshing patches.
  * [25fe744b] Adding CUSTOM_PROCPS_NAME/CFLAGS to dh_auto_configure call.
  * [4d1081bc] Importing patches from Ubuntu.
    As open-vm-tools should just do the right thing, we leave building
    vmsync enabled to make backporting easier.
    Thanks to Nate Muench <NowIWillDestroyAbydos@gmail.com>
  * [a0fae111] Copy upstream's dkms config for dh_dkms.
  * The new upstream release, together with the flags and new patches
    mentioned above, makes open-vm-tools build with Kernel 3.11.
    Thanks to: Jim Barber and Mihai Limbasan
    Closes: #729540

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Jan 2014 02:32:03 +0100

open-vm-tools (2:9.2.3-1031360-7) unstable; urgency=low

  * QA upload
  * Fix compilation with Linux 3.10. Thanks to Zack Weinberg for the patch! 
    (Closes: #717154)

 -- Moritz Mühlenhoff <muehlenhoff@univention.de>  Mon, 09 Sep 2013 05:19:44 +0200

open-vm-tools (2:9.2.3-1031360-6) unstable; urgency=low

  * Correcting syntax of file entries in copyright.
  * Adding section override for open-vm-tools-dkms.
  * Enforcing build with gcc 4.7 for the time being.
  * Orphaning package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jul 2013 10:18:50 +0200

open-vm-tools (2:9.2.3-1031360-5) experimental; urgency=low

  * Dropping obsolete sysvinit initscript start/stop numbers.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Jun 2013 17:52:08 +0200

open-vm-tools (2:9.2.3-1031360-4) experimental; urgency=low

  * Dropping kfreebsd from architecture list, it has never built and
    nobody seems willing to make it work (neither upstream, porters, nor
    users).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Jun 2013 13:10:41 +0200

open-vm-tools (2:9.2.3-1031360-3) experimental; urgency=low

  * Adding initial systemd service file from fedora.
  * Skipping vmsync kernel module for the time being until it has been
    fixed for the debian specific change introduced in linux 3.8.11-1 that
    broke it (Closes: #707208).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 31 May 2013 12:01:52 +0200

open-vm-tools (2:9.2.3-1031360-2) experimental; urgency=low

  * Renaming debian-specific open-vm-toolbox package to open-vm-tools-
    desktop for consistency with upstream.
  * Revamping package descriptions.
  * Renaming open-vm-dkms to open-vm-tools-dkms for consistent package
    namespace.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 19:13:26 +0200

open-vm-tools (2:9.2.3-1031360-1) experimental; urgency=low

  * Merging upstream version 9.2.3-1031360.
  * Removing procps.patch, not needed anymore.
  * Renumbering patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 05 May 2013 09:58:58 +0200

open-vm-tools (2:9.2.2-893683-8) experimental; urgency=low

  * Adding patch from Mathias Krause <minipli@googlemail.com> to fix
    kernel stack memory leack in vsock module [CVE-2013-3237] (Closes:
    #706557).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 01 May 2013 17:11:01 +0200

open-vm-tools (2:9.2.2-893683-7) experimental; urgency=low

  * Removing purely cosmetical 'sleep 1' leftover in initscript (Closes:
    #686200).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 31 Mar 2013 20:57:51 +0200

open-vm-tools (2:9.2.2-893683-6) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:16:35 +0100

open-vm-tools (2:9.2.2-893683-5) unstable; urgency=low

  * Updating to standards version 3.9.4.
  * Shortening build-depends on procps again.
  * Updating year in copyright file.
  * Prefixing patches with 4 digits for consistency.
  * Tightening diff headers in patches.
  * Adding dpkg-source local-options to abort on upstream changes.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Jan 2013 11:28:37 +0100

open-vm-tools (2:9.2.2-893683-4) unstable; urgency=low

  * Removing init order to network also on start (Closes: #695845).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 19:42:26 +0100

open-vm-tools (2:9.2.2-893683-3) unstable; urgency=low

  * Correcting daemon name in stop section of the initscript (Closes:
    #696056).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 13:55:05 +0100

open-vm-tools (2:9.2.2-893683-2) unstable; urgency=low

  * Removing init order to network (Closes: #695845).
  * Correcting version number (Closes: #695912).
  * Don't check for vm on stop in initscript (Closes: #695993).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 15 Dec 2012 14:38:30 +0100

open-vm-tools (2:9.2.2-893683-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Switching to xz compression again for jessie.
  * Loading modules through kmod instead of initscript again for jessie.
  * Adding sleep during restart in initscript again for jessie.
  * Removing old dpkg trigger for update-initramfs again for jessie.
  * Updating of GPL boilerplate in copyright file again for jessie.
  * Adding bugnumber to previous changelog entries regarding wheezy
    unblocks.
  * Merging upstream version 9.2.2-893683.
  * Adding remote_fs dependency in initscript (Closes: #695845).

  [ Bernd Zeimetz ]
  * Handling binNMU/nmu/backports version numbers in rules.

  [ Daniel Baumann ]
  * Using suggested start-stop-daemon handling in initscript from Bernd
    Zeimetz <bernd@bzed.de> (Closes: #686200).
  * Adding changelog for 8.8.0+2012.05.21-724730-1+nmu1 (Closes: #687205).
  * Correcting architecture fields in control.
  * Keeping vmware-user-suid-wrapper completely in vmware-tools rather
    than partially in vmware-toolbox (Closes: #686202).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 13 Dec 2012 14:08:53 +0100

open-vm-tools (2:8.8.0+2012.05.21-724730-4) unstable; urgency=low

  * Reverting switch to xz compression to ease wheezy unblock (#683299).
  * Reverting to load modules through kmod instead of initscript to ease
    wheezy unblock (#683299).
  * Reverting added sleep during restart in initscript to ease wheezy
    unblock (#683299).
  * Reverting removing old dpkg trigger for update-initramfs to ease
    wheezy unblock (#683299).
  * Reverting update of GPL boilerplate in copyright file to ease wheezy
    unblock (#683299).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 02 Aug 2012 21:32:52 +0200

open-vm-tools (2:8.8.0+2012.05.21-724730-3) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Updating dkms.conf to make modules build again, thanks to H.A.J.
    Koster (Closes: #679886).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Jul 2012 22:06:58 +0200

open-vm-tools (2:8.8.0+2012.05.21-724730-2) unstable; urgency=low

  * Switching to xz compression.
  * Loading modules through kmod instead of initscript.
  * Adding sleep during restart in initscript.
  * Removing old dpkg trigger for update-initramfs.
  * Updating GPL boilerplate in copyright file.
  * Calling dh_dkms with version argument (Closes: #677503).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 04:55:23 +0200

open-vm-tools (2:8.8.0+2012.05.21-724730-1+nmu1) testing-proposed-updates; urgency=low

  [ Bernd Zeimetz ]
  * Non-maintainer upload to ensure open-vm-tools will
    be shipped with Wheezy.
  * Ensure upgrades to not fail due to the broken init script
    (Closes: #686200)
    - Fix open-vm-tools init script to stop vmtoolsd properly.
    - Handle upgrades from a version with broken init script.
      Try to stop again, just in case. Ignore errors as we don't know
      how successful the old buggy script was.
  * Remove the duplicate vmware-suid-wrapper from open-vm-toolbox.
    The better way would be to ship it in open-vm-toolbox instead of
    open-vm-tools, but to avoid moving config files from one package
    into another we will keep it this way for Wheezy. Partly addresses
    #686202.
  * Handle binNMU/nmu/backports/... version numbers.
    The old way to parse the version string from debian/changelog fails
    on binNMU/nmu/security/... version numbers. Fixing this.
    (Closes: #686582)

  [ Daniel Baumann ]
  * Updating GPL boilerplate in copyright file.
  * Calling dh_dkms with version argument (Closes: #677503).

  [ Thijs Kinkhorst ]
  * Updating dkms.conf to make modules build again,
    thanks to H.A.J. Koster (Closes: #679886).

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 19 Aug 2012 22:20:10 +0200

open-vm-tools (2:8.8.0+2012.05.21-724730-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2012.05.21-724730.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 14 Jun 2012 12:05:11 +0200

open-vm-tools (2:8.8.0+2012.03.13-651368-1) unstable; urgency=low

  [ Michael Dorrington ]
  * Changed Build-Depends to libprocps0-dev to fix libproc-dev removal
    (Closes: #659595).

  [ Daniel Baumann ]
  * Merging upstream version 8.8.0+2012.03.13-651368:
    - compatible with linux 3.2 and 3.3 (Closes: #656618).
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Building with debhelper dkms support (Closes: #651779, #654249).
  * Updating procps patch for newest procps library name.
  * Building without multiarch paths for now.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 20 Mar 2012 07:52:18 +0100

open-vm-tools (2:8.8.0+2011.12.20-562307-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2011.12.20-562307.
  * Adding patch to correct typo in upstreams dkms configuration
    (Closes: #651778).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Dec 2011 11:27:02 +0100

open-vm-tools (2:8.8.0+2011.11.20-535097-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2011.11.20-535097.
  * Adding patch to update build-system for procps-ng.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Nov 2011 18:33:58 +0100

open-vm-tools (2:8.8.0+2011.10.26-514583-1) unstable; urgency=low

  * Merging upstream version 8.8.0+2011.10.26-514583.
  * Correcting typo in example fstab line of vmhgfs manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 01 Nov 2011 21:44:24 +0100

open-vm-tools (2:8.8.0+2011.09.23-491607-3) unstable; urgency=low

  * Sorting overrides in rules alphabetically.
  * Compacting copyright file.
  * Adding udev rule to set timeout for vmware scsi devices (Closes:
    #609001).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 30 Oct 2011 21:26:00 +0100

open-vm-tools (2:8.8.0+2011.09.23-491607-2) unstable; urgency=low

  * Adding doxygen to build-depends for api documentation.
  * Adding libcunit1-dev to build-depends for test suites.
  * Adding dmks package again, it had to be dropped right before the
    squeeze release (Closes: #632220).
  * Removing open-vm-source in favour of open-vm-dkms (Closes: #518014).
  * Minimizing rules file.
  * Adding open-vm-tools-dev package, containing only the api
    documentation for now.
  * Moving package back to main as it is in the same category as
    xserver-xorg-video-vmware where it was in the first place.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 09 Oct 2011 23:07:34 +0200

open-vm-tools (2:8.8.0+2011.09.23-491607-1) unstable; urgency=low

  * Marking binary architecture-dependend packages as linux and kfreebsd
    only.
  * Removing legacy symlink for vmware-user desktop file in vmware-
    toolbox (Closes: #639811).
  * Merging upstream version 8.8.0+2011.09.23-491607:
    - works with binutils-gold (Closes: #556756).
  * Removing liburiparser-dev from build-depends as upstream dropped
    unity support.
  * Building with libproc-dev on amd64 again.
  * Dropping disabling of dnet support (Closes: #639767).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 09 Oct 2011 18:01:42 +0200

open-vm-tools (2:8.4.2+2011.08.21-471295-1) unstable; urgency=low

  * Merging upstream version 8.4.2+2011.08.21-471295 (Closes: #608823):
    - building against newer libnotify (Closes: #636344).
    - works with current kernels (Closes: #614292, #617536, #629980).
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).
  * Removing manual chrpath setting.
  * Removing exclusion from plugins from debhelper shlibs.
  * Rediffing kvers.patch.
  * Updating packaging for new upstream version.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 28 Aug 2011 16:10:21 +0200

open-vm-tools (1:8.4.2-261024-1) unstable; urgency=low

  * Merging upstream version 8.4.2-261024.
  * Re-enabling vmmemctl (Closes: #606327).
  * Re-enabling pvscsi.
  * Re-enabling vmxnet3.
  * Rediffing kvers.patch.
  * Updating modules to standards version 3.9.1.
  * Removing dkms package, doesn't work with 8.4.2 yet.
  * Excluding plugins from shlibdeps.
  * Setting rpath for plugins.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 15 Dec 2010 01:08:45 +0100

open-vm-tools (2010.06.16-268169-3) unstable; urgency=low

  * Updating local Makefile to inject symvers files to fix vmhgfs and
    vsock modules, thanks to Joe Gooch <mrwizard@k12system.com> (Closes:
    #579721).
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Aug 2010 12:59:39 +0200

open-vm-tools (2010.06.16-268169-2) unstable; urgency=low

  * Removing vmmemctl fom initscript (Closes: #588356).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 09 Jul 2010 13:19:42 +0200

open-vm-tools (2010.06.16-268169-1) unstable; urgency=low

  * Merging upstream version 2010.06.16-268169.
  * Updating standards version to 3.9.0.
  * Updating README.source.
  * Rediffing kvers.patch.
  * Dropping procps.patch, not required anymore.
  * Updating packaging for upstreams vmmemctl module removal.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 Jul 2010 21:34:25 +0200

open-vm-tools (2010.04.25-253928-2) unstable; urgency=low

  * Dropping la files.
  * Updating rules for pvscsi removal (Closes: #581160).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 May 2010 20:10:45 +0200

open-vm-tools (2010.04.25-253928-1) unstable; urgency=low

  * Merging upstream version 2010.04.25-253928.
  * Updating packaging for upstreams pvscsi module removal.
  * Removing remote_fs from initscript again (Closes: #577163).
  * Updating lintian overrides for open-vm-tools.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 29 Apr 2010 22:01:51 +0200

open-vm-tools (2010.03.20-243334-4) unstable; urgency=low

  * Updating date and version in manpage headers.
  * Adding manpage for vmxnet3.
  * Adding manpage for vmci.
  * Fixing spelling typo in vmsync manpage.
  * Adding manpage for vmsock.
  * Update formating of newly added manpages.
  * Adding vmware-toolbox-cmd manpage.
  * Adding guestlib manpage.
  * Adding libvmtools manpage.
  * Renaming guestlib manpage to libguestlib.
  * Including vmware-toolbox-cmd manpage in open-vm-tools package.
  * Updating initscript start/stop declarations (Closes: #576843,
    #577163).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 14 Apr 2010 18:59:32 +0200

open-vm-tools (2010.03.20-243334-3) unstable; urgency=low

  * Adding misc depends.
  * Running open-vm-dkms postinst script with set -e.
  * Adding remote_fs to init depends.
  * Avoid including license files in open-vm-dkms.
  * Marking makefiles in open-vm-dkms executable to please lintian.
  * Adding make to open-vm-dkms depends.
  * Also stopping in runlevel 1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 06 Apr 2010 22:42:58 +0200

open-vm-tools (2010.03.20-243334-2) unstable; urgency=low

  * Addding dkms support based on the work of Evan Broder
    <broder@mit.edu> on the ubuntu package (Closes: #516251).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 27 Mar 2010 17:09:36 +0100

open-vm-tools (2010.03.20-243334-1) unstable; urgency=low

  * Simplyfing initramfs triggers (Closes: #516355).
  * Merging upstream version 2010.03.20-243334.
  * Moving local Makefile to subdirectory.
  * Adding build-depends to libfuse-dev.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 27 Mar 2010 11:01:55 +0100

open-vm-tools (2010.02.23-236320-1) unstable; urgency=low

  * Updating to standards 3.8.4.
  * Merging upstream version 2010.02.23-236320.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 27 Feb 2010 16:34:11 +0100

open-vm-tools (2010.01.19-226760-1) unstable; urgency=low

  * Updating year in copyright file.
  * Merging upstream version 2010.01.19-226760.
  * Correcting plugins handling (Closes: #564069).
  * Updating packaging for upstreams vmxnet3 module removal.
  * Updating packaging for upstreams test plugin removal.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 24 Jan 2010 09:55:47 +0100

open-vm-tools (2009.12.16-217847-1) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Merging upstream version 2009.12.16-217847.
  * Rediffing kvers.patch.
  * Rediffing procps.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 20 Dec 2009 13:36:35 +0100

open-vm-tools (2009.11.16-210370-1) unstable; urgency=low

  * Merging upstream version 2009.11.16-210370.
  * Moving vmusr plugins from open-vm-tools to open-vm-toolbox (Closes:
    #539282, #557215).
  * Correcting plugin location (Closes: #545222, #549044).
  * Dropping la files (Closes: #551626).
  * Adding open-vm-toolbox lintian overrides.
  * Removing test plugin.
  * Removing unused plugin symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 06 Dec 2009 07:45:05 +0100

open-vm-tools (2009.10.15-201664-1) unstable; urgency=low

  * Merging upstream version 2009.10.15-201664.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 18 Oct 2009 12:28:19 +0200

open-vm-tools (2009.09.18-193784-1) unstable; urgency=low

  * Adding maintainer homepage field in control.
  * Adding README.source.
  * Updating, sorting and wrapping depends.
  * Merging upstream version 2009.09.18-193784.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Oct 2009 08:18:40 +0200

open-vm-tools (2009.08.24-187411-1) unstable; urgency=low

  * Merging upstream version 2009.08.24-187411.
  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Aug 2009 10:35:29 +0200

open-vm-tools (2009.07.22-179896-2) unstable; urgency=low

  * Temporarily building without dumbnet, the recently uploaded
    new dumbnet upstream version broke down (Closes: #539006).
  * Using more common name to store local debian additions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 30 Jul 2009 12:56:49 +0200

open-vm-tools (2009.07.22-179896-1) unstable; urgency=low

  * Merging upstream version 2009.07.22-179896.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Jul 2009 11:46:49 +0200

open-vm-tools (2009.06.18-172495-3) unstable; urgency=medium

  * Adding libnotify-dev to build-depends.
  * Adding symlinks for plugins.
  * Updating vmtoolsd call in init script.
  * Adding missing files to module source, thanks to Brian Kroth
    <bpkroth@gmail.com> (Closes: #525816, #531936, #532293).
  * Building binary modules with neither module-assistant nor kernel-
    package is not supported by upstream (Closes: #518014).
  * Cleaning up module source by removing unecessary files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 19 Jul 2009 11:40:57 +0200

open-vm-tools (2009.06.18-172495-2) unstable; urgency=low

  * Correcting typo in rules for setting configure flags on amd64
    (Closes: #531414).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Jul 2009 23:10:27 +0200

open-vm-tools (2009.06.18-172495-1) unstable; urgency=low

  * Merging upstream version 2009.06.18-172495.
  * Updating to standards 3.8.2.
  * Updating year in copyright file.
  * Correcting vcs fields in modules control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 01 Jul 2009 11:52:35 -0300

open-vm-tools (2009.05.22-167859-3) unstable; urgency=low

  * Building without procps on amd64 as a temporary workaround (Closes:
    #531429).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Jun 2009 17:13:07 +0200

open-vm-tools (2009.05.22-167859-2) unstable; urgency=low

  * Adding procps to build-depends (Closes: #531414).
  * Adding patch for configure to not hardcode procps version.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Jun 2009 12:53:51 +0200

open-vm-tools (2009.05.22-167859-1) unstable; urgency=low

  * Merging upstream version 2009.05.22-167859.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 May 2009 09:48:43 +0200

open-vm-tools (2009.04.23-162451-1) unstable; urgency=low

  * Merging upstream version 2009.04.23-162451.
  * Removing vmware-guestd manpage, dropped by upstream and not included
    anymore.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 19 May 2009 19:21:31 +0200

open-vm-tools (2009.03.18-154848-2) unstable; urgency=low

  * Correcting patch system depends (Closes: #520493).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Mar 2009 10:19:00 +0100

open-vm-tools (2009.03.18-154848-1) unstable; urgency=low

  * Updating section of debug packages.
  * Merging upstream version 2009.03.18-154848.
  * Updating debian files to match vmware-guestd to vmtoolsd migration.
  * Using quilt rather than dpatch.
  * Renaming debian manpages subdirectory for consistency reasons.
  * Updating standards to 3.8.1.
  * Manually handling modprobe file rename from lenny to squeeze
    (Closes: #519935).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 19 Mar 2009 09:35:00 +0100

open-vm-tools (2009.02.18-148847-3) unstable; urgency=medium

  * Updating kvers.dpatch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 18 Mar 2009 23:16:06 +0100

open-vm-tools (2009.02.18-148847-2) unstable; urgency=low

  * Using debhelper to install vmxnet modprobe file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 Mar 2009 16:03:00 +0100

open-vm-tools (2009.02.18-148847-1) unstable; urgency=low

  * Merging upstream version 2009.02.18-148847.
  * Enabling unity support, uriparser 0.7 is finally available.
  * Adding libgtkmm-2.4-dev to build-depends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Feb 2009 09:03:00 +0100

open-vm-tools (2009.01.21-142982-2) unstable; urgency=medium

  * Always prefering vmxnet over pcnet32 through modprobe and initramfs
    configuration (Closes: #502365).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 04 Feb 2009 11:28:00 +0100

open-vm-tools (2009.01.21-142982-1) unstable; urgency=low

  * Merging upstream version 2009.01.21-142982.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 24 Jan 2009 04:45:00 +0100

open-vm-tools (2008.12.23-137496-1) unstable; urgency=low

  * Merging upstream version 2008.12.23-137496.
  * Also unload vmxnet module in initscript when starting as a workaround of
    having vmxnet already loaded at initramfs stage. Thanks to Russ Allbery
    <rra@debian.org> (Closes: #510935).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 09 Jan 2009 12:13:00 -0500

open-vm-tools (2008.11.18-130226-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 2008.11.18-130226.
  * Updating debian directory for addition of pvscsi and vmxnet3 modules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 20 Nov 2008 21:56:00 +0100

open-vm-tools (2008.10.10-123053-2) unstable; urgency=medium

  * Correcting typo in dh_installinit call.
  * Downgrading depends on module-assistant to recommends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 Oct 2008 15:32:00 +0200

open-vm-tools (2008.10.10-123053-1) unstable; urgency=low

  * Using patch-stamp rather than patch in rules file.
  * Merging upstream version 2008.10.10-123053.
  * Updating kvers.dpatch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Oct 2008 19:05:00 +0200

open-vm-tools (2008.09.03-114782-2) unstable; urgency=low

  * Updating kvers.dpatch (Closes: #498620).
  * Updating initscript to correctly handle vmxnet (Closes: #479090, #488810).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 14 Sep 2008 14:30:00 +0200

open-vm-tools (2008.09.03-114782-1) unstable; urgency=low

  * Merging upstream version 2008.09.03-114782.
  * Updating rules to new location of the config.guess and config.sub files.
  * Updating vcs fields in control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 09 Sep 2008 22:06:00 +0200

open-vm-tools (2008.08.08-109361-1) unstable; urgency=low

  * Removing destdir.dpatch, not needed anymore.
  * Adjusting rules to upstream changes with respect to the pixmap files.
  * Disabling unity, uiparser is too old (see #493073).
  * Adding build-depends to liburiparser-dev for new unity feature.
  * Adding build-depends to libxss-dev for new unity feature.
  * Updating to add new vmci and vsock modules.
  * Merging upstream version 2008.08.08-109361.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 11 Aug 2008 15:56:00 +0200

open-vm-tools (2008.07.01-102166-3) unstable; urgency=medium

  * Replacing /lib64 with /lib in /etc/pam.d/vmware-guestd-x64.
  * Fixing FTBFS on amd64 by renaming /etc/pam.d/vmware-guestd-x64 to
    /etc/pam.d/vmware-guestd.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 10 Jul 2008 23:24:00 +0200

open-vm-tools (2008.07.01-102166-2) unstable; urgency=medium

  * Adding manpages.
  * Stop removing setuid from /sbin/mount.vmhgfs.
  * Extending vmxnet_needed() in initscript to also check for availability of
    vmxnet.ko for the running kernel, otherwise don't attempt to load vmxnet
    (Closes: #488810).
  * Adding suggests to xdg-utils in open-vm-toolbox.
  * Using modprobe -r rather than rmmod in initscript.
  * Starting initscript at position 20, which is before networking comes up
    (Closes: #479090).
  * Adding vmware-user symlink to xdg autostart.
  * Adding symlink from mount.vmhgfs to old vmware-hgfsmounter name.
  * Removing executable bit for /etc/pam.d/vmware-guestd file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 04 Jul 2008 09:59:00 +0200

open-vm-tools (2008.07.01-102166-1) unstable; urgency=low

  * Merging upstream version 2008.07.01-102166.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 03 Jul 2008 13:01:00 +0200

open-vm-tools (2008.06.20-100027-1) unstable; urgency=low

  * Dropping autobuild patch in favour for upstreams new --without-
    kernel-modules configure switch.
  * Merging upstream version 2008.06.20-100027.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 01 Jul 2008 22:22:00 +0200

open-vm-tools (2008.06.03-96374-2) unstable; urgency=medium

  * Adding debug package.
  * Splitting open-vm-tools into open-vm-tools (CLI tools) and open-vm-
    toolbox (GUI tools) (Closes: #467042).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Jun 2008 14:51:00 +0200

open-vm-tools (2008.06.03-96374-1) unstable; urgency=medium

  * Updating rules file for upstream version 2008.06.03-96374.
  * Adding patch to make build-system respect  again.
  * Adding xauth to recommends of open-vm-tools (Closes: #487088).
  * Adding patch to avoid building kernel modules in this new upstream version.
  * Merging upstream version 2008.06.03-96374 (Closes: #484242).
  * Updating to standards 3.8.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Jun 2008 14:12:00 +0200

open-vm-tools (2008.05.15-93241-2) unstable; urgency=medium

  * Updating location of vmware-checkvm in init script (Closes: #483056).
  * Correcting typo in mount.vmhgfs symlink (Closes: #474694).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 27 May 2008 07:29:00 +0200

open-vm-tools (2008.05.15-93241-1) unstable; urgency=medium

  * Moving mount.vmhgfs from /usr/sbin to /sbin, thanks to Lea Wiemann
    <lewiemann@gmail.com> (Closes: #474694).
  * Also loading and unloading vmsync module in init script, thanks to
    Lea Wiemann <lewiemann@gmail.com> (Closes: #481001).
  * Moving vmware-checkvm from /usr/sbin to /usr/bin, thanks to Lea
    Wiemann <lewiemann@gmail.com> (Closes: #481004).
  * Using lintian debhelper to install lintian overrides.
  * Correcting manpage section of module-assistant in README.Debian.
  * Removing debian todo file.
  * Merging upstream version 2008.05.15-93241.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 21 May 2008 09:15:00 +0200

open-vm-tools (2008.05.02-90473-1) unstable; urgency=low

  * Adding libicu-dev to build-depends.
  * Merging upstream version 2008.05.02-90473.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 May 2008 09:44:00 +0200

open-vm-tools (2008.04.14-87182-1) unstable; urgency=medium

  * Correcting wrong email address in changelog file.
  * Including vmware support scripts (Closes: #469160).
  * Correcting symlink for vmware-hgfsmounter (Closes: #474694).
  * Updating rules to cover new component xferlogs.
  * Adding libdumbnet-dev to build-depends.
  * Adding libproc-dev to build-depends.
  * Merging upstream version 2008.04.14-87182.
  * Adding open-vm-source to open-vm-tools recommends (Closes: #471784).
  * Adding zerofree to open-vm-tools suggests, thanks to Thibaut Paumard
    <paumard@users.sourceforge.net> (Closes: #472799).
  * Updating vcs fields in control.
  * Updating package to debhelper 7.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Apr 2008 13:40:00 +0200

open-vm-tools (2008.02.13-77928-2) unstable; urgency=medium

  * Rewriting copyright in machine-interpretable format.
  * Cleaned up copyright.
  * Fixing pathes and binary names in init script (Closes: #469146).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 08 Mar 2008 08:48:00 +0100

open-vm-tools (2008.02.13-77928-1) unstable; urgency=low

  * Adding upstream version 2008.02.13-77928.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 24 Feb 2008 20:41:00 +0100

open-vm-tools (2008.01.23-74039-2) unstable; urgency=low

  * Adding vcs fields in control.
  * Removing watch file.
  * Correcting wrong manpage section of module-assistant in
    README.Debian.
  * Correcting wrong filename of module-source tarball in README.Debian.
  * Updating formating of README.Debian.
  * Removing config.guess and config.sub from the debian diff.
  * Reverting config.guess and config.sub to upstream.
  * Adding vmware-guestd init script (Closes: #465276).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 24 Feb 2008 20:20:00 +0100

open-vm-tools (2008.01.23-74039-1) unstable; urgency=low

  * New upstream release.
  * Fixing manpage section in README.Debian.
  * Bumping package to debhelper 6.
  * Bumping package to policy 3.7.3.
  * Also removing user/ in clean target of rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 30 Jan 2008 15:24:00 +0100

open-vm-tools (2007.11.21-64693-2) unstable; urgency=low

  * Adding open-vm-source package for module source.
  * Upload to unstable.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Nov 2007 11:08:00 +0100

open-vm-tools (2007.11.21-64693-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Nov 2007 11:07:00 +0100

open-vm-tools (2007.09.04-56574-2) experimental; urgency=low

  * Moving package to contrib (Closes: #445439).
  * Limiting architectures to amd64 and i386 (Closes: #445374).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 09 Oct 2007 10:05:00 +0200

open-vm-tools (2007.09.04-56574-1) experimental; urgency=low

  * Initial release (Closes: #441905).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 09 Sep 2007 16:53:00 +0200
